# pairinteraction [![Gitter][gitter-svg]][gitter-room] [![Build status][travis-svg]][travis-link] [![arXiv:1612.08053][arXiv-svg]][arXiv-link]

*A Rydberg Interaction Calculator*

Visit the official website at https://pairinteraction.github.io/

## Please Cite Us

> **Tutorial: Calculation of Rydberg interaction potentials**
>
> *Sebastian Weber, Christoph Tresp, Henri Menke, Alban Urvoy, Ofer Firstenberg, Hans Peter Büchler, Sebastian Hofferberth*
>
> [arXiv:1612.08053][arXiv-link], submitted to J. Phys. B

## Build Status

We are using [Travis CI](https://travis-ci.org) as a hosted continuous integration service to build pairinteraction against various toolchains.

*Current build status:* [![Build status][travis-svg]][travis-link]

## Support

Documentation for pairinteraction is located in the [Wiki][wiki].

We use a [Gitter](https://gitter.im) chatroom for discussing things related to pairinteraction.  Please come in and say *hi!* or ask a question.  If you think your question is related to problems, bugs, or suggests an improvement, consider raising an [issue][issue-tracker].

*Our Gitter chatroom:* [![Gitter][gitter-svg]][gitter-room]

## Downloads

Binaries are available for many systems, including several GNU/Linux distributions, Mac OS X, and Microsoft Windows.  These are made available through the [releases section](https://github.com/pairinteraction/pairinteraction/releases).

## License

Pairinteraction is released under the terms of the [Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0).  The Apache License 2.0 has been approved by the Free Software Foundation and the Open Source Initiative and is [compatible with the GNU General Public License version 3 (GPLv3)](https://www.gnu.org/licenses/license-list.html#apache2).

Note that not all files in this repository belong to the pairinteraction project.  `FindEigen3.cmake` is part of the Eigen project and the submodules link to their host repositories.  The individual licenses apply.

[travis-svg]: https://travis-ci.org/pairinteraction/pairinteraction.svg?branch=master
[travis-link]: https://travis-ci.org/pairinteraction/pairinteraction
[gitter-svg]: https://badges.gitter.im/Join%20Chat.svg
[gitter-room]: https://gitter.im/pairinteraction/Lobby?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge
[arXiv-svg]: https://pairinteraction.github.io/images/arXiv-badge.svg
[arXiv-link]: http://arxiv.org/abs/1612.08053
[wiki]: https://github.com/pairinteraction/pairinteraction/wiki
[issue-tracker]: https://github.com/pairinteraction/pairinteraction/issues
